ROHTO BUGS - Bug #537

Service finger attendance tidak bisa mengambil data dari finger pada employeeid tertentu
11/08/2021 12:06 PM - Muhammad Bintar

Status: Closed Start date: 11/08/2021
Priority: Normal Due date: 11/15/2021
Assignee: Saswanto Tampan % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear tim developer. mohon support nya untuk perbaikan service finger pada rohto production karena service finger saat ini ada
beberapa employeeid tertentu yang tidak dapat di transfer data nya dari master data mdb ke dalam sistem minova.

pengecekan sample employeeid 00000573
HRiS Menu

Employee Overview - 00000573 - Deby Oktavia

» [0 My Workplace Employee ID: 00000573 Company ID: ROHTO

» [ Master Data Full Name: Deby Oktavia Employee Office: Head Office

¥ = Human Resource Employee Status: Active Organization: Product and Brand Deputy
~ 22 HR Administration Employee Type: Permanent Position: Marketing Support Staff

» [T Organization Ma...

Master Data 4 Personal Data - 00000573 - Deby Oktavia

~ [= Employee Admin...

Empl Mo...

[ Employee Mo Personal Data © Action ¥ Clear Filters
{ll Employee Ma... Assignment ] i . i o )

. Start Date End Date User ID Fingerpri... ull Name Nick Name  External ID = First Tit.. @ LastTitle Gend...
@® Import Emplo... Payroll Benefit 0

@ E vt Empl 08/08/2016 31/12/9999 1013 eby Oktavia  Okta RJ1608209 Wanita
(&) Export Emplo... Address ]

17 Delete Emplo...

- P Family ]

(T) Mass File Imp...

= P Education L]

» [71 Fmnlovee Re...

employee tersebut sudah memiliki userid fingerprint 1013, namun tidak dapat mentransfer data dari service finger ke sistem minova.
peecute | | =
MINOVAIS-SERVER\...- dbo.PHRPADDTS & > [l eRt b i A [ el S (A
Column Table Outp... Sort Type Sort Order Filter Or... 2
StartDate PHRPADD1S LIKE '96202104%'
EndDate PHRPADD1S
EmployeelD PHRPADDT9 Ascending 1 = '00000573"
StartTime PHRPADD1S
EndTime PHRPADDTS
AttendanceTy... PHRPADD1S
v
SELECT TOP (200) StartDate, EndDate, EmployeelD, StartTime, EndTime, AttendanceType, Notes, CreateBy, CreateDate, ChangeBy, ChangeDate
FROM PHRPADD19
WHERE  (EmployeelD = '00000573") AND (StartDate LIKE '%:202104%")
ORDER BY EmployeelD
StartDate EndDate EmployeelD StartTime EndTime AttendanceType Motes CreateBy CreateDate ChangeBy
R e NULL NULL NULL NULL NULL NULL NULL NULL MNULL
i
contoh employeeid yang bisa, yaitu employeeid 00000001. memiliki userid fingerprint 1.
rohto production server 105
database sql server 2019
aplikasi di remote.minovais.com : 61121

lokasi mdb di C:\MINOVAES\WEBSERVER\Development\Access dengan nama file BioStar.mdb

ject  Query Designer  Toels  50L Prompt  Window  Help
r e H“|J§Newﬁuery E@n@m‘ﬁn@|3€lﬂj |'9' '|| '|D work '|na'_-|ﬁﬁ' ChangETypE'|';‘&L|[E§|§£*§;i;
| > Bt | | BT
» I X | MINOVAIS-SERVER. .MEPSVCLOGDETAIL MINOVAIS-SERVERM...- dbo.PHRPADDTS + > QRIINeIIT A2l dbo.PHRPAODO1
(VS Column Alias Table Qutp...  Sort Type Sort Order Filter Or... Or.. Or... &
bbase Triggers A StartDate PHRPADD1S LIKE "%6202104%' LIKE "%:202104%"
Emblies EndDate PHRPADD1S
= » EmployeelD PHRPADD1S Ascending i = '00000573' = '00000001'
Es
bults StartTime PHRPADD1S
n Guides EndTime PHRPADD19
uences AttendanceTy... PHRPADD19
Broker . PP v
SELECT TOP (200) StartDate, EndDate, EmployeelD, StartTime, EndTime, AttendanceType, Notes, CreateBy, CreateDate, ChangeBy, ChangeDate
FROM PHRPADD19
Rohto Prod WHERE (EmployeelD = '00000573") AND (StartDate LIKE '9%202104%") OR
Di - (EmployeelD = 'D00DD00T') AMD (StartDate LIKE '%:202104%")
fe iegrams ORDER BY EmployeelD
filtered)
em Tables
[Tables
rnal Tables
ph Tables
PCMEPSVCLOGDETAIL StartDate EndDate EmployeelD StartTime EndTime AttendanceType Notes CreateBy CreateDate ChangeBy *
PCMEPSVCLOGHEADER S[20z70:01 20210401 00000001 0753 1017 1000 FINGERIKT 2021110815608 FINGERIKT
EEMEE;:E_RI_;GULARY 20210402 20210402 00000001 0000 0000 1000 FINGERIKT 20211108113608  FINGERJKT
PCMFILOSVCREGULARY 20210403 20210403 00000001 0000 0000 1000 FINGERIKT 20211108113608  FINGERIKT
20210404 20210404 00000001 0000 0000 1000 FINGERIKT 20211108113608  FINGERJIKT
| Resources 20210405 20210405 00000001 0828 1833 1000 FINGERIKT 20211108115608  FINGERJKT
me il 20210406 20210406 00000001 0802 1916 1000 FINGERIKT 20211108113608  FINGERJKT
mabili
Broker Y 20210407 20210407 00000001 0000 0000 1000 FINGERIKT 20211108113608  FINGERJKT
20210408 20210408 00000001 0743 1936 1000 FINGERIKT 2021110815608 FINGERIKT
< >
berikut services finger yang sudah di tanam di server 105.
1592.168.3.105 - Remote Desktop Connection — O X
BEPvICes [Local) Services (Local)
MinovaES_Rohto_FingerJKT Mame - Description Status Startup Type Log On As
s n X ‘Gl Micrasoft Passpart Container fdanages lo.., Manual (Trig..  Local Service
top the service i .
Restart the service \_(_,M!crnsnft Softwrare Shadow Copy Provider Manages.sn‘.. Manual Local Syste...
‘Gl Microsoft Storage Spaces SMP Huost service,., Manual Metwark S,
Gk Minova_ES_ WF_ASYNC_HINO_PROD Running  Automatic (0. Local Syste..
EhMinovaE S FingerHINOProd Running  Automatic Local Syste...
Gl MinovaE S OMRecapServiceBankFamaDey Automatic Local Syste..,
Ch MinovaE S, OMRecapServiceFamaPrad Automatic Lacal Syste...
L MinovaES.OMRecapServiceRahtaDew Automatic Local Syste...
Gk MinavaESWorkFlowdp provalRemindeBankFamaDew Manual Local Syste..,
Ch MinovaE SV orkFlowdp provalReminderBuSDew Manual Local Syste...
Gl MinovaESWorkFlowsdpprovalReminderHINOPRad Manual Local Syste..,
ChMinovaE SV orkFlowsp provalReminderRahtaDey Manual Local Syste..,
ChMinovaE SAidorkFlowsdp provalReminderRohtoProd Manual Local Syste...
Gk MinovaESWorkFlowdsyncBankFamaDey Automatic Local Syste..,
Lk MinovaE S W arkFlowedsync BWSD el Automatic Local Syste...
Gl MinovaESWorkFlowsdsyncFamaProd Automatic Local Syste..,
Gk MinovaESWorkFlowsissync RahtoDey Dutormatic Local Syste..,
Lk MinovaE S\ orkF lowedsyncRohtoProd1 Running  Automatic (0. Local Syste..
Gk MinovaESWorkFlowssync RSMProd Automatic Local Syste..,
Ch MinovaE SV orkFlowssync RSMPrad1 Marnual Lacal Syste...
it S-St o ot toteTreret TSy
&MinovaES_Rahto_FimgerJKT Running  Manual Local Syste..,
e HRivamtRetath b L Lerenk-iy
‘Gl Mozilla Maintenance Service Layanan Pe.. Manual Local Syste..,
CLMNC Host Agent Metweork Co,. Disabled Local Syste..,
Ll Net.hMsmaq Listener Adapter Receives act... Automatic Metwark ...
Gl Met.Pipe Listener &dapter Receives act. Automatic Local Service
ChMetTep Listener Adapter Receives act... Automatic Lacal Service
GhMNet.Tep Port Sharing Service Provides abi.. Manual Local Service
\Extended /(Standard/

History

#1 - 11/10/2021 03:15 PM - Muhammad Bintar
- File BioStar.mdb added

update tes data finger :

#2 - 11/17/2021 12:52 PM - Mr. Yusuf
- Assignee changed from Mr. Yusuf to Saswanto Tampan

#3 - 11/18/2021 11:15 AM - Muhammad Bintar
- File BioStar hanya employeeid 00000034.mdb added
- Status changed from New to QA Test

- Assignee changed from Saswanto Tampan to Muhammad Bintar

untuk pengetesan dari 8 employee, hanya 7 employee yang terinsert data nya.sisa 1 employeeid 00000034 tidak bisa masuk.
berikut file attendance untuk hanya 1 employee tersebut:

#4 - 11/18/2021 11:16 AM - Muhammad Bintar
- Status changed from QA Test to Developing

- Assignee changed from Muhammad Bintar to Saswanto Tampan

#5 - 11/24/2021 02:49 PM - Muhammad Bintar
- Status changed from Developing to QA Test

- Assignee changed from Saswanto Tampan to Muhammad Bintar

update sudah fix...

#6 - 11/24/2021 02:49 PM - Muhammad Bintar
- Status changed from QA Test to Deploy

#7 - 11/24/2021 02:52 PM - Muhammad Bintar
- Status changed from Deploy to Closed

- Assignee changed from Muhammad Bintar to Saswanto Tampan

Files

clipboard-202111081159-alglz.png 113 KB 11/08/2021 Muhammad Bintar
clipboard-202111081200-7clkp.png 98.8 KB 11/08/2021 Muhammad Bintar
clipboard-202111081201-h7sqt.png 56.2 KB 11/08/2021 Muhammad Bintar
clipboard-202111081201-uqgfrw.png 83.5 KB 11/08/2021 Muhammad Bintar
Rohto.rar 27 MB 11/08/2021 Muhammad Bintar
BioStar.mdb 20 MB 11/10/2021 Muhammad Bintar
BioStar hanya employeeid 00000034.mdb 20 MB 11/18/2021 Muhammad Bintar
